[python-uk] Packaging advice for ujson / rpm / RHEL5

Nicholas H.Tollervey ntoll at ntoll.org
Mon Jan 28 11:01:27 CET 2013


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Aha... many thanks for the help.

Ross, your suggestion was exactly what I needed. Funnily enough I'd
tried to look in help (python2.6 setup.py --help) but had obviously
failed to do so for bdist_rpm.

Thanks!

N.

On 28/01/13 09:32, Antonio Cavallo wrote:
> Hi,
> 
> have a look to :
> 
> http://cclimited.webfactional.com/make_your_module/spec.creator.pyquality.html
>
> 
> 
> 
> If you strip off the %define opt_python and %define _prefix you'll
> have a multi platform rpm spec file (and the blue bit have to be
> changed).
> 
> Let me know if that helps you.
> 
> 
> 
> 
> René Dudfield wrote:
>> Try exporting compilation environment variables. Like CC 
>> LD_LIBRARY_FLAGS etc. Google them :)
>> 
>> On Jan 28, 2013 10:04 AM, "Nicholas H.Tollervey"
>> <ntoll at ntoll.org <mailto:ntoll at ntoll.org>> wrote:
>> 
> Hi,
> 
> I need to build an RPM of ujson for RHEL5 targeting Python2.6.
> This will be deployed on "front end" boxes that do not have a
> compiler installed (hence I can't just pip install the damn
> thing).
> 
> All the RHEL5 machines have Python 2.4, 2.5 and 2.6 installed with
>>> the
> default being 2.4 (what you get from /usr/bin/python).
> 
> If I run setup in the root of the ujson project like this:
> 
> $ python2.6 setup.py bdist_rpm
> 
> I notice from the output from GCC that the script has the -fPIC
> flag reference /usr/include/python2.4
> 
> :-(
> 
> Obviously, compilation is being done against the wrong version of 
> Python.
> 
> Anyone know how to pass in or force the version to Python 2.6?
> 
> Many thanks,
> 
> Nicholas.
>> _______________________________________________ python-uk mailing
>> list python-uk at python.org <mailto:python-uk at python.org> 
>> http://mail.python.org/mailman/listinfo/python-uk
>> 
>> _______________________________________________ python-uk mailing
>> list python-uk at python.org 
>> http://mail.python.org/mailman/listinfo/python-uk
> _______________________________________________ python-uk mailing
> list python-uk at python.org 
> http://mail.python.org/mailman/listinfo/python-uk

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQEcBAEBAgAGBQJRBkx3AAoJEP0qBPaYQbb6ymcIAKNXTny/UQIWeJ4mhOdWmH9Z
1xUjT1NsyDl9W3rLsEmCkK5WZKmnyKKL8qeNjxJkRM1TJKvgU3AFSBMJvvKOtrXs
p8cYz9BMGzIki0hwY3+kW3gx4zRUTiYOXl0UAb8iCImYnFzN2g46QdITBUnQ9tpq
ExMkW+59UcCS1MpOpLiD2RV/FQ4SGVTU3bdbJnqQR7quifozx/BiCRzPevvLX0FB
XkFgqGDauNDvR5oD2syelpi4pe+gZ6qM/FMfmtIvrukbBU/IauU3ymEP7dW+5ECC
b91srJqRFuuiZWRRmLJ/7p5rZzuBEvsqXjahQ9kTwim1nx7vUXKNmIkETHoUk6k=
=+/uq
-----END PGP SIGNATURE-----


More information about the python-uk mailing list